commit:     ef25db0ff10bff9a970c4deaff156e6925419f37
Author:     Ben Kohler <bkohler <AT> gentoo <DOT> org>
AuthorDate: Wed May  7 16:35:46 2025 +0000
Commit:     Ben Kohler <bkohler <AT> gentoo <DOT> org>
CommitDate: Wed May  7 16:38:16 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ef25db0f

dev-libs/libcpuid: add 0.8.0

Signed-off-by: Ben Kohler <bkohler <AT> gentoo.org>

 dev-libs/libcpuid/Manifest              |  1 +
 dev-libs/libcpuid/libcpuid-0.8.0.ebuild | 37 +++++++++++++++++++++++++++++++++
 2 files changed, 38 insertions(+)

diff --git a/dev-libs/libcpuid/Manifest b/dev-libs/libcpuid/Manifest
index fb78f925020a..8f18c5902817 100644
--- a/dev-libs/libcpuid/Manifest
+++ b/dev-libs/libcpuid/Manifest
@@ -2,3 +2,4 @@ DIST libcpuid-0.6.4.tar.gz 338722 BLAKE2B 
ad23c13c48b0244f401a60d07fb569712f24b4
 DIST libcpuid-0.6.5.tar.gz 370297 BLAKE2B 
56394c0f99ee514bad115e614a27e3771e3ab0a27c7e980ed50419f6b22c268461db97aed8c879a66894ea34c788ed7a154ea403ec07a552fb524e321aa931e0
 SHA512 
c38381e0f768a2cd2a5df601cbcc50d1cb93a276c477bc09e69ff61de01aef30c0b3163f4a0c8e7641caa3cf692d468410ebc90a3cad93e0476cddeb0c444d7b
 DIST libcpuid-0.7.0.tar.gz 442324 BLAKE2B 
fb3248227ac43fe536b66ee0b13dcb514aeb5be43d09b5a3ada5d944b869b9e6d311b4f1046869aa1f1b00c5c5a7254eeb8206094af1cd6487cefa2aafe78458
 SHA512 
26353763461cbbe664ddaa6933cbd9016e3b11d8a056bc8c2b92818dfe3a43fcda76a92270f716eeb00ae61b75288c7079add8d7ac2290a0a0d5c3bd7d898d44
 DIST libcpuid-0.7.1.tar.gz 451773 BLAKE2B 
697aea4fd2cc614a84f00760c8a146288b91ffdcb1842b6c6033c5860e537210e9d0b5ea20a8e83eff35b800ee527462b81e19450a8727ff975f5df83d5680ef
 SHA512 
124f4ad01e34d1494b549c62382e65bb3cea50785b59cd1f734a9a80bd099af96b84e32c70ed6326d6697977f58495e84973ff07a8648a5d7f6a58861f0ab6c1
+DIST libcpuid-0.8.0.tar.gz 629056 BLAKE2B 
d5976cec947f528ebdde1c6bec5fca0cf4ccca8509675fb614113a9e9917e976aafd1324279b5dff85066ef7d70b8314aa53a235d113e8186766f5357da07f83
 SHA512 
4bf37263639cdc078103f1c54e9b5cba779387d3636b4432e509f021a278634dc4fe6337ae261f903cb97d1239652f552fe6508db8b517da8ba79eb6ada715d5

diff --git a/dev-libs/libcpuid/libcpuid-0.8.0.ebuild 
b/dev-libs/libcpuid/libcpuid-0.8.0.ebuild
new file mode 100644
index 000000000000..a6d8757cdbb5
--- /dev/null
+++ b/dev-libs/libcpuid/libcpuid-0.8.0.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=(python3_{9..13})
+
+inherit autotools python-any-r1
+
+DESCRIPTION="A small C library for x86 (and x86_64) CPU detection and feature 
extraction"
+HOMEPAGE="http://libcpuid.sourceforge.net/";
+SRC_URI="https://github.com/anrieff/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+LICENSE="BSD-2"
+SLOT="0/17"
+KEYWORDS="~amd64"
+IUSE="static-libs test"
+RESTRICT="!test? ( test )"
+
+DEPEND="test? ( ${PYTHON_DEPS} )"
+
+pkg_setup() {
+       use test && python-any-r1_pkg_setup
+}
+
+src_prepare() {
+       default
+       eautoreconf
+}
+
+src_configure() {
+       econf "$(use_enable static-libs static)"
+}
+
+src_install() {
+       default
+       find "${ED}" -name "*.la" -delete || die
+}

Reply via email to